Package: org.codehaus.groovy.grails.resolve.maven.aether

## [Groovy] Class AetherExcludeResolver

- org.codehaus.groovy.grails.resolve.maven.aether.AetherExcludeResolver

- All Implemented Interfaces and Traits:
    ExcludeResolver

      class AetherExcludeResolver

  An exclude resolver for Aether

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `AetherDependencyManager` | `dependencyManager`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AetherExcludeResolver (AetherDependencyManager dependencyManager)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.Map<Dependency, java.util.List<Dependency>>` | `resolveExcludes()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### AetherDependencyManager dependencyManager

  - ### Constructor Detail

    - #### AetherExcludeResolver(AetherDependencyManager dependencyManager)

  - ### Method Detail

    - #### @java.lang.Override java.util.Map<Dependency, java.util.List<Dependency>> resolveExcludes()